package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 学生校级干部管理表单出参
* @Author dzx
* @Date: 2023-11-10
* @Version 1.0
*/
@Data
public class BaseStudentSchoolCadreVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String userNumber;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 职务
    */
    @ApiModelProperty("职务")
    private String post;
    /**
    * 级别
    */
    @ApiModelProperty("级别")
    private String level;
    /**
    * 学生任职机构
    */
    @ApiModelProperty("学生任职机构")
    private Long orgId;
    /**
    * 任职开始时间
    */
    @ApiModelProperty("任职开始时间")
    private Date startTime;
    /**
    * 任职结束时间
    */
    @ApiModelProperty("任职结束时间")
    private Date endTime;
    /**
    * 状态（1:在职 0:离职）
    */
    @ApiModelProperty("状态（1:在职 0:离职）")
    private Integer status;
    /**
    * 离职原因
    */
    @ApiModelProperty("离职原因")
    private String leaveReason;



}
