package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 学生班级干部管理
* @Author dzx
* @Date: 2023-11-10
* @Version 1.0
*/
@Data
public class AddBaseStudentClassCadreDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String userNumber;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 联系电话
    */
    @ApiModelProperty("联系电话")
    private String mobile;
    /**
    * 职务
    */
    @ApiModelProperty("职务")
    private String post;
    /**
    * 职务类型
    */
    @ApiModelProperty("职务类型")
    private String postType;
    /**
    * 学生任职机构
    */
    @ApiModelProperty("学生任职机构")
    private Long orgId;
    /**
    * 任职开始时间
    */
    @ApiModelProperty("任职开始时间")
    private Date startTime;
    /**
    * 任职结束时间
    */
    @ApiModelProperty("任职结束时间")
    private Date endTime;
    /**
    * 状态（1:在职 0:离职）
    */
    @ApiModelProperty("状态（1:在职 0:离职）")
    private Integer status;
    /**
    * 离职生效日期
    */
    @ApiModelProperty("离职生效日期")
    private Date leaveTime;
    /**
    * 离职原因
    */
    @ApiModelProperty("离职原因")
    private String leaveReason;

}
