package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 快捷菜单
* @Author fanxp
* @Date: 2023-11-11
* @Version 1.0
*/
@Data
public class AddXjrMenuQuickDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 菜单编号
    */
    @ApiModelProperty("菜单编号")
    private Long menuId;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 角色编号
    */
    @ApiModelProperty("角色编号")
    private Long roleId;
    /**
    * 系统编号
    */
    @ApiModelProperty("系统编号")
    private Long systemId;

}
